#!/bin/bash
echo "Generate command line tools makefile"
echo "===================================="
unamestr=`uname`
arch=`uname -m| sed -e s/i.86/i386/ -e s/arm.*/arm/`
if [[ "$unamestr" == 'Linux' ]]; then
	#linux
	if [[ "$arch" == 'x86_64' ]]; then
		MAKECMD_FILE=MakeCmd_64.inc
	elif [[ "$arch" == 'i386' ]]; then
		MAKECMD_FILE=MakeCmd_32.inc
	else
		if [[ "$ARM_BUILD_TYPE" == 'hf' ]]; then
		MAKECMD_FILE=MakeCmd_armhf.inc
		else
		MAKECMD_FILE=MakeCmd_armel.inc
		fi
	fi
else
	#mac os
	MAKECMD_FILE=MakeCmd_osx.inc
fi

cd Sources
echo '# Generated include file for building command line tools'>../Binaries/$MAKECMD_FILE
echo 'CMD_FILES = \'>>../Binaries/$MAKECMD_FILE
for d in Y*.cpp
do
echo $d' \'>>../Binaries/$MAKECMD_FILE
done
echo  '# end of list'>>../Binaries/$MAKECMD_FILE
cd ../Binaries
echo "Build command line tools"
echo "========================"
make $1 || exit 1
cd ../
echo -e "done"
if [[ $1 == 'clean' ]]; then
	echo 'clean ' $MAKECMD_FILE
	echo `pwd`
	rm -rf Binaries/$MAKECMD_FILE
fi
